ADC_CTRLB_Type Union Reference

## Data Fields

struct {
uint16_t LEFTADJ:1
uint16_t FREERUN:1
uint16_t CORREN:1
uint16_t RESSEL:2
uint16_t __pad0__:3
uint16_t WINMODE:3
uint16_t WINSS:1
uint16_t __pad1__:4
} | bit
uint16_t | reg

## Detailed Description

Definition at line 269 of file adc.h.

## Field Documentation

## __pad0__

uint16_t ADC_CTRLB_Type::__pad0__

bit: 5.. 7 Reserved

Definition at line 275 of file adc.h.

## __pad1__

uint16_t ADC_CTRLB_Type::__pad1__

bit: 12..15 Reserved

Definition at line 278 of file adc.h.

## bit

struct { ... } ADC_CTRLB_Type::bit

Structure used for bit access

## CORREN

uint16_t ADC_CTRLB_Type::CORREN

bit: 2 Digital Correction Logic Enable

Definition at line 273 of file adc.h.

## FREERUN

uint16_t ADC_CTRLB_Type::FREERUN

bit: 1 Free Running Mode

Definition at line 272 of file adc.h.

## LEFTADJ

uint16_t ADC_CTRLB_Type::LEFTADJ

bit: 0 Left-Adjusted Result

Definition at line 271 of file adc.h.

## reg

uint16_t ADC_CTRLB_Type::reg

Type used for register access

Definition at line 280 of file adc.h.

## RESSEL

uint16_t ADC_CTRLB_Type::RESSEL

bit: 3.. 4 Conversion Result Resolution

Definition at line 274 of file adc.h.

## WINMODE

uint16_t ADC_CTRLB_Type::WINMODE

bit: 8..10 Window Monitor Mode

Definition at line 276 of file adc.h.

## WINSS

uint16_t ADC_CTRLB_Type::WINSS

bit: 11 Window Single Sample

Definition at line 277 of file adc.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/adc.h